Katello - Bug #5514

'Subscription’ link in 'Systems' is broken
04/30/2014 04:09 PM - Thomas McKay

Status: Closed

Priority: Normal

Assignee:

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 995940 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=995940
++ This bug was initially created as a clone of Bug #986867 ++

Description of problem:

If 1 click on particular Subscription in 'Systems' view | expect this subscription to be displayed (and id is even encoded in the link, e.g.
https://host/sam/subscriptions#panel=subscription_8a70b2263ff60511013ff606febe01c9). However | get 'Subscriptions' window with
no subscription selected (so acts the same as https://host/sam/subscriptions)

Version-Release number of selected component (if applicable):

1. rpm -ga | grep katello
katello-glue-elasticsearch-1.4.2-1.git.866.c6be614.el6.noarch
katello-selinux-1.4.3-1.git.4.99dc194.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-cli-1.4.2-1.git.128.53e0dde.el6.noarch
katello-configure-1.4.3-1.git.67.f71e590.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-common-1.4.2-1.git.866.c6be614.el6.noarch
katello-cli-common-1.4.2-1.git.128.53e0dde.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-glue-candlepin-1.4.2-1.9it.866.c6be614.el6.noarch
katello-headpin-all-1.4.2-1.9it.866.c6be614.el6.noarch
katello-headpin-1.4.2-1.git.866.c6be614.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Go to 'Systems', select particular system
2. Click on any subscription from System Current Subscription(s) or from Available Subscriptions

Actual results:
Window with all subscriptions opens without any selected subscription

Expected results:
Window with all subscriptions opens showing selected subscription

Additional info:
--- Additional comment from Vitaly Kuznetsov on 2013-07-22 05:48:22 EDT ---
--- Additional comment from Vitaly Kuznetsov on 2013-07-22 05:49:05 EDT ---

--- Additional comment from Tom McKay on 2013-07-22 19:54:05 EDT ---
https://bugzilla.redhat.com/show_bug.cgi?id=995940
https://host/sam/subscriptions#panel=subscription_8a70b2263ff60511013ff606febe01c9
https://host/sam/subscriptions

Branch: refs/heads/master

Home: https://github.com/Katello/katello

Commit: ¢3730cce57d0ac3e7¢c431b3691833b3e37e8a968
https://github.com/Katello/katello/commit/c3730cce57d0ac3e7¢431b3691833b3e37€82968
Author: Tom McKay <thomasmckay@redhat.com>

Date: 2013-07-22 (Mon, 22 Jul 2013)

--- Additional comment from Bryan Kearney on 2013-08-02 14:52:36 EDT ---

SNAPO contains these bug fixes. Moving to ON_QA.

Associated revisions

Revision 61412c11 - 05/07/2014 09:49 AM - dustin tsang

Fixes #5514 Subscription Link missing in Content Host Subscriptions

Revision af9bd428 - 05/07/2014 01:49 PM - dustin tsang

Fixes #5514 Subscription Link missing in Content Host Subscriptions

Revision 441457c4 - 05/08/2014 08:33 AM - Eric Helms

Merge pull request #4038 from dustint-rh/bz995940_redmine5514_subs_link_in_content_hosts_subs
Fixes #5514 Subscription Link missing in Content Host Subscriptions

Revision 3591fd8d - 05/08/2014 12:33 PM - Eric Helms

Merge pull request #4038 from dustint-rh/bz995940_redmine5514_subs_link_in_content_hosts_subs

Fixes #5514 Subscription Link missing in Content Host Subscriptions

History

#1 - 05/08/2014 12:53 PM - dustin tsang
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:af9bd428346cca68070471afdffed3b50d7ee045.

#2 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged set to Yes

#4 - 08/22/2014 08:21 AM - Eric Helms

- translation missing: en.field_release set to 13
